package main

import (
	"bufio"
	"fmt"
	"os"
)

func main() {
	// fmt 打印到标准输出上 os.Stdout
	fmt.Println("hello world")
	_, err := os.Stdout.Write([]byte("hello world\n"))
	if err != nil {
		return
	}

	// 标准输入 os.Stdin
	bs := make([]byte, 20)
	n, err := os.Stdin.Read(bs)
	if err != nil {
		return
	}
	fmt.Println(string(bs[:n]))

	// 从命令行读入一行数据
	sc := bufio.NewScanner(os.Stdin)
	for sc.Scan() {
		fmt.Println(sc.Text())
		break
	}

	// 将内容输出到指定 io.Writer
	_, _ = fmt.Fprintln(os.Stdout, "hello world")
	_, _ = fmt.Fprintf(os.Stdout, "%s", "hello world")

	// os.Stderr
}
